Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.broadinstitute.genee.matrix
Class FixedSizeAbstractDataset

    java.lang.Object
      org.broadinstitute.genee.matrix.AbstractDataset
          org.broadinstitute.genee.matrix.FixedSizeAbstractDataset

All Implemented Interfaces:
  Dataset

Direct Known Subclasses:
  RowMajorArray2DDataset

    public abstract class FixedSizeAbstractDataset

extends AbstractDataset

Fixed size abstract dataset.

Method Summary
`int` | `addSeries(String name, Object[][] values, Class<?> c)` Inserts the specified series.
`int` | `getColumnCount()` Returns the number of columns in the dataset.
`MetadataModel` | `getColumnMetadata()` Gets the column metadata for this dataset.
`int` | `getRowCount()` Returns the number of rows in the dataset.
`MetadataModel` | `getRowMetadata()` Gets the row metadata for this dataset.
`void` | `setColumnMetadata(MetadataModel metadata)`
`void` | `setRowMetadata(MetadataModel metadata)`

Methods inherited from class org.broadinstitute.genee.matrix.AbstractDataset
`addSeries, getName, getObjectValue, getProperty, getPropertyKeys, getSeriesClass, getSeriesCount, getSeriesName, getValue, removeSeries, setName, setObjectValue, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.broadinstitute.genee.matrix.Dataset
`getValue, setValue`

Method Detail

### addSeries

    public int addSeries(String name,
                         Object[][] values,
                         Class<?> c)

  Inserts the specified series.

  Parameters:
    `name` - series name to be inserted
    `values` - array of values
    `c` - class of values
  Returns:
    the series index

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `Dataset`
  Returns the number of columns in the dataset.

  Returns:
    the number of columns

### getColumnMetadata

    public MetadataModel getColumnMetadata()

  Description copied from interface: `Dataset`
  Gets the column metadata for this dataset.

  Returns:
    The column metadata

### getRowCount

    public int getRowCount()

  Description copied from interface: `Dataset`
  Returns the number of rows in the dataset.

  Returns:
    the number of rows

### getRowMetadata

    public MetadataModel getRowMetadata()

  Description copied from interface: `Dataset`
  Gets the row metadata for this dataset.

  Returns:
    the row metadata

### setColumnMetadata

    public void setColumnMetadata(MetadataModel metadata)

### setRowMetadata

    public void setRowMetadata(MetadataModel metadata)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD